プロジェクトの取得
get
/ic/api/process/v1/spaces/{spaceId}/projects
見ることを許可されているプロジェクトだけを検索
リクエスト
パス・パラメータ
- spaceId(required): string
スペースID
問合せパラメータ
- expand: array[string]
コレクション形式:
multi返されるモデルに含める必要がある拡張情報を指定-
許容値:
[ "SNAPSHOTS" ]
-
- userMode: string
管理者のみに適用できます。 指定されたユーザー・モードでAPIを実行します。デフォルト値:
none許容値:[ "DEVELOPER", "NONE" ]
レスポンス
サポートされているメディア・タイプ
- application/json
- application/xml;qs=0.9
200レスポンス
成功。 プロジェクトの取得
ネストされたスキーマ : project
型:
object設計時プロジェクトの表現
401レスポンス
未認可
500レスポンス
プロジェクトの取得中にエラーが発生しました
例
次の例は、RESTリソースに対してGETリクエストを発行して、表示する権限があるプロジェクトを取得する方法を示しています。
リクエストの送信
次の例では、送信リクエストのコンテンツを示しています。
https://example.com/ic/api/process/v1/spaces/<spaceId>/projects説明
-
example.comは、Oracle Integrationが実行されているホストです。 -
<spaceId>はスペースの一意のIDです。 使用可能なスペースを取得するには、「スペースの取得」を参照してください。
レスポンス・ヘッダーの例
Status Code: 200 OK Date: Mon, 03 Apr 2017 09:39:39 GMT Content-Type: application/json
レスポンス本文の例
次の例は、プロジェクトの更新された説明を含む、JSON形式のレスポンス本文のコンテンツを示しています。
{
"items": [
{
"id": "MyProject",
"name": "MyProject",
"description": "New project",
"type": "BPM",
"creator": "jsmith",
"creation": "2017-04-03,02:39:39 PDT",
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23/projects/My%20Project1",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23/projects/My%20Project1",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23",
"rel": "parent"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23/projects/My%20Project1/processes",
"rel": "child"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23/projects/My%20Project1/snapshots",
"rel": "child"
}
]
},
{
"id": "MyNewProject",
"name": "MyNewProject",
"description": "",
"type": "BPM",
"creator": "jsmith",
"creation": "2017-04-03,02:14:37 PDT",
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23/projects/My%20Project",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23/projects/My%20Project",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23",
"rel": "parent"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23/projects/My%20Project/processes",
"rel": "child"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23/projects/My%20Project/snapshots",
"rel": "child"
}
]
},
{
"id": "oldproject",
"name": "oldproject",
"description": "This is my old project",
"type": "BPM",
"creator": "jsmith",
"creation": "2017-04-03,03:03:56 PDT",
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23/projects/old%20project1",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23/projects/old%20project1",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23",
"rel": "parent"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23/projects/old%20project1/processes",
"rel": "child"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23/projects/old%20project1/snapshots",
"rel": "child"
}
]
}
],
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23/projects",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23/projects",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23",
"rel": "parent"
}
]
}